GET V1/Bills.{ext}/ChargeItems?billId={billId}&pageIndex={pageIndex}&pageSize={pageSize}
This section provides the consolidate list of Charge Groups/Line Items.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| billId |
Bill Id. |
integer |
Required |
| pageIndex |
Page Index |
integer |
Default value is 0 |
| pageSize |
Page Size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
Returns Virtual Bill Item Charge Details.
EMSResponseOfEMS.Bills.Entities.ChargeItems| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Bills.Entities.ChargeItems |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "ChargeItems",
"response": {
"chargeItemList": [
{
"utilityType": "sample string 1",
"amountWithCurrency": "sample string 2",
"vendorServiceType": "sample string 3",
"meterNumber": "sample string 4",
"chargeType": "sample string 5",
"chargeDescription": "sample string 6",
"chargeGroup": "sample string 7",
"uom": "sample string 8",
"quantity": 9.0,
"rate": 10.0,
"amount": 11.0,
"comments": "sample string 12",
"nativeCurrency": "sample string 13",
"reportingCurrency": "sample string 14"
},
{
"utilityType": "sample string 1",
"amountWithCurrency": "sample string 2",
"vendorServiceType": "sample string 3",
"meterNumber": "sample string 4",
"chargeType": "sample string 5",
"chargeDescription": "sample string 6",
"chargeGroup": "sample string 7",
"uom": "sample string 8",
"quantity": 9.0,
"rate": 10.0,
"amount": 11.0,
"comments": "sample string 12",
"nativeCurrency": "sample string 13",
"reportingCurrency": "sample string 14"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.